<?php


function betik_breadcrumbs() {
 
  $delimiter = '»';
  $home = 'خانه';
  $before = '';
  $after = '';
 
  if ( !is_home() && !is_front_page() || is_paged() ) {
 
    echo '<h1>';
 
    global $post; //get global post data
	global $data; //get theme options
	$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) ); //get term
    $homeLink = get_home_url(); //home url
    echo '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' '; //home link


	//category
    if (is_category()) {
      global $wp_query;
      $cat_obj = $wp_query->get_queried_object();
      $thisCat = $cat_obj->term_id;
      $thisCat = get_category($thisCat);
      $parentCat = get_category($thisCat->parent);
      if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
      echo $before . '' . single_cat_title('', false) . '' . $after;

	//daily archive
    } elseif ( is_day() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('d') . $after;
 
 	//month
    } elseif ( is_month() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('F') . $after;
 
 	//year
    } elseif ( is_year() ) {
		echo $before . get_the_time('Y') . $after;
 
    } elseif ( is_single() && !is_attachment() ) {
		
	  //regular posts
      if ( get_post_type() == 'post' ) {
		if(!empty($data['blog_url'])) {
			echo '<a href="' . $data['blog_url'] . '">' . __('Blog','betik') . '</a> ' . $delimiter . ' ';
		}
        $cat = get_the_category(); $cat = $cat[0];
        echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        echo $before . get_the_title() . $after;
	  }
	  
	  //staff posts
	  if ( get_post_type() == 'staff' ) {
		if(!empty($data['staff_url'])) {
			echo '<a href="' . $data['staff_url'] . '">' . __('Staff','betik') . '</a> ' . $delimiter . ' ';
		}
		echo $before . get_the_title() . $after;
	  }
	  
	//service posts
	if ( get_post_type() == 'services' ) {
	  if(!empty($data['services_url'])) {
		  echo '<a href="' . $data['services_url'] . '">' . __('Services','betik') . '</a> ' . $delimiter . ' ';
	  }
	  echo $before . get_the_title() . $after;
	}
	
	//faqs posts
	if ( get_post_type() == 'faqs' ) {
	  if(!empty($data['faqs_url'])) {
		  echo '<a href="' . $data['faqs_url'] . '">' . __('FAQs','betik') . '</a> ' . $delimiter . ' ';
	  }
	  echo $before . get_the_title() . $after;
	}
	
	//portfolio posts
	if ( get_post_type() == 'portfolio' ) {
	  if(!empty($data['portfolio_url'])) {
		  echo '<a href="' . $data['portfolio_url'] . '">' . __('Portfolio','betik') . '</a> ' . $delimiter . ' ';
	  }
	  echo $before . get_the_title() . $after;
	}
	
	//testimonials posts
	if ( get_post_type() == 'testimonials' ) {
	  if(!empty($data['testimonials_url'])) {
		  echo '<a href="' . $data['testimonials_url'] . '">' . __('Testimonials','betik') . '</a> ' . $delimiter . ' ';
	  }
	  echo $before . get_the_title() . $after;
	}

	//page
    } elseif ( is_page() && !$post->post_parent ) {
      echo $before . get_the_title() . $after;
 
	//page with parent
    } elseif ( is_page() && $post->post_parent ) {
      $parent_id  = $post->post_parent;
      $breadcrumbs = array();
      while ($parent_id) {
        $page = get_page($parent_id);
        $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
        $parent_id  = $page->post_parent;
      }
      $breadcrumbs = array_reverse($breadcrumbs);
      foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
      echo $before . get_the_title() . $after;

	//search page
    } elseif ( is_search() ) {
      echo $before . 'نتایج جستجو برای "' . get_search_query() . '"' . $after;

	//tags
    } elseif ( is_tag() ) {
      echo $before . 'تگ ها "' . single_tag_title('', false) . '"' . $after;

	//author
    } elseif ( is_author() ) {
       global $author;
      $userdata = get_userdata($author);
      echo $before . 'مطالب بر اساس ' . $userdata->display_name . $after;

	//404 page
    } elseif ( is_404() ) {
      echo $before . 'Error 404' . $after;
    }
	
	//portfolio categories
	elseif (is_tax( 'portfolio_cats') ) {
	  if(!empty($data['portfolio_url'])) {
		  echo '<a href="' . $data['portfolio_url'] . '">' . __('Portfolio','betik') . '</a> ' . $delimiter . ' ';
	  }
	  echo $before . $term->name . $after;
    }
	
	//service categories
	elseif (is_tax( 'service_cats') ) {
	  if(!empty($data['services_url'])) {
		  echo '<a href="' . $data['services_url'] . '">' . __('Services','betik') . '</a> ' . $delimiter . ' ';
	  }
	  echo $before . $term->name . $after;
    }
	
	//staff departments
	elseif (is_tax( 'staff_departments')) {
		if(!empty($data['staff_url'])) {
			echo '<a href="' . $data['staff_url'] . '">' . __('Staff','betik') . '</a> ' . $delimiter . ' ';
		}
		 echo $before . $term->name . $after;
	}
	
	//faqs categories
	elseif (is_tax( 'faqs_cats')) {
		if(!empty($data['faqs_url'])) {
			echo '<a href="' . $data['faqs_url'] . '">' . __('FAQs','betik') . '</a> ' . $delimiter . ' ';
		}
		 echo $before . $term->name . $after;
	}

	//paged
    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() )
	  echo ' (';
      echo ' ' .$delimiter . __(' Page', 'betik') . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }
 
    echo '</h1>';
 
  }
  
} // bitti

?>